return {
    {
        "stevearc/dressing.nvim",
        opts = {
            input = {
                enabled = true,
                -- When true, <Esc> will close the modal
                insert_only = true,
                -- These are passed to nvim_open_win
                border = "rounded",
                -- 'editor' and 'win' will default to being centered
                relative = "cursor",
                mappings = {
                    n = {
                        ["<Esc>"] = "Close",
                        ["<CR>"] = "Confirm",
                    },
                    i = {
                        ["<C-c>"] = "Close",
                        ["<CR>"] = "Confirm",
                        ["<Up>"] = "HistoryPrev",
                        ["<Down>"] = "HistoryNext",
                    },
                },
            },
            select = {
                -- Set to false to disable the vim.ui.select implementation
                enabled = true,
                nui = {
                    border = {
                        style = "rounded",
                    },
                }
            },
            builtin = {
                border = "rounded",
                -- 'editor' and 'win' will default to being centered
                relative = "editor",
            }
        }
    }
}
