return {
    {
        "kevinhwang91/nvim-ufo",
        event = {
            "InsertEnter"
        },
        dependencies = {
            "kevinhwang91/promise-async"
        },
        opts = {
            preview = {
                mappings = {
                    scrollB = "<C-b>",
                    scrollF = "<C-f>",
                    scrollU = "<C-u>",
                    scrollD = "<C-d>",
                },
            },
            -- register treesitter as source for scopes
            provider_selector = function(_, _, _)
                return { 'treesitter', 'indent' }
            end
        }
    }
}
