return {
    {
        "nvim-tree/nvim-tree.lua",
        opts = {
            hijack_cursor = true,
            sync_root_with_cwd = true,
            renderer = {
                indent_markers = {
                    enable = false
                },
                icons = {
                    show = {
                        file = true,
                        folder = true,
                        folder_arrow = true,
                        git = true,
                    },
                }
            },
            diagnostics = {
                enable = true,
                show_on_dirs = false,
            },
            actions = {
                change_dir = {
                    enable = false,
                    restrict_above_cwd = true,
                },
                open_file = {
                    resize_window = false,
                    window_picker = {
                        chars = "aoeui",
                    },
                },
                remove_file = {
                    close_window = false,
                },
            },
        }
    }
}
