return {
    {
        "nvim-telescope/telescope.nvim",
        opts = {
            defaults = {
                layout_strategy = "horizontal",
                layout_config = { prompt_position = "top" },
                sorting_strategy = "ascending",
                winblend = 0,
            },
            extensions = {
                aerial = {
                    -- Display symbols as <root>.<parent>.<symbol>
                    show_nesting = {
                        ["_"] = false, -- This key will be the default
                        json = true,   -- You can set the option for specific filetypes
                        yaml = true,
                    },
                },
            },
        },
        dependencies = {
            "sharkdp/fd",
            "nvim-lua/plenary.nvim",
            'nvim-tree/nvim-web-devicons'
        },
    },
}
